import { BasicTextField } from '../textfield';
import { INumberField, INumberFieldInternalState, INumberFieldInternalProps } from './numberfield.interface';
import { ChangeEventT } from '../../../definitions.interface';
import { IKeyboardConfiguration } from '../../keyboard';
export declare class NumberField extends BasicTextField<NumberField, INumberFieldInternalProps, INumberFieldInternalState> implements INumberField {
    static defaultProps: INumberFieldInternalProps;
    getRawValueFromEvent(event: ChangeEventT): number | string;
    protected getFieldPattern(): string;
    private readonly numberSettings;
    /**
     * @stable [21.11.2018]
     * @returns {IKeyboardConfiguration}
     */
    protected getKeyboardConfiguration(): IKeyboardConfiguration;
}
