"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../../base");
var layout_1 = require("../../layout");
var form_1 = require("../../form");
var DefaultFilterContainer = /** @class */ (function (_super) {
    __extends(DefaultFilterContainer, _super);
    function DefaultFilterContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DefaultFilterContainer.prototype.render = function () {
        var props = this.props;
        return (React.createElement(layout_1.DefaultLayoutContainer, __assign({ headerConfiguration: {
                navigationActionType: 'keyboard_arrow_left',
                onNavigationActionClick: this.navigateToBack,
            }, title: this.t('Filter') }, props),
            React.createElement(form_1.FormContainer, __assign({ formConfiguration: { actionText: this.t('Apply'), actionIcon: 'done', useResetButton: true } }, props), props.children)));
    };
    return DefaultFilterContainer;
}(base_1.BaseContainer));
exports.DefaultFilterContainer = DefaultFilterContainer;
//# sourceMappingURL=default-filter.container.js.map