import { GridColumnConfigurationT } from '../../configurations-definitions.interface';
import { ITimeGridBuilderConfigEntity } from './grid.interface';
/**
 * @stable [10.09.2018]
 */
export declare const DEFAULT_BUILDER_CONFIG: ITimeGridBuilderConfigEntity;
/**
 * @stable [04.10.2018]
 * @param {GridColumnConfigurationT} defaultConfig
 * @param {string} extraClassName
 * @returns {GridColumnConfigurationT}
 */
export declare const buildTimeGridInfoColumn: (defaultConfig: GridColumnConfigurationT, extraClassName?: string) => GridColumnConfigurationT;
/**
 * @stable [10.09.2018]
 * @param {GridColumnConfigurationT} defaultConfig
 * @param {ITimeGridBuilderConfigEntity} builderConfig
 * @returns {GridColumnConfigurationT[]}
 */
export declare const buildTimeGridColumns: (defaultConfig?: GridColumnConfigurationT, builderConfig?: ITimeGridBuilderConfigEntity) => GridColumnConfigurationT[];
