import { MaterialPlugin } from './material.plugin';
import { IMenu, INativeMaterialMenuComponent } from '../../menu';
export declare class MenuMaterialPlugin<TMenu extends IMenu> extends MaterialPlugin<TMenu, INativeMaterialMenuComponent> {
    /**
     * @stable [04.10.2018]
     * @param {TMenu} menu
     */
    constructor(menu: TMenu);
    /**
     * @stable [04.10.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [19.11.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [04.10.2018]
     */
    private isMenuOpen;
    /**
     * @stable [04.10.2018]
     */
    private show;
    /**
     * @stable [04.10.2018]
     */
    private hide;
}
