import { AnyAction, Reducer } from 'redux';
import { rootReducer } from '../component/root/root.reducer';
import { notificationReducer } from '../notification';
import { dictionariesReducer } from '../dictionary';
import { permissionsReducer } from '../permissions';
import { stackReducer } from './stack';
import { ILayoutEntity } from '../entities-definitions.interface';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    dictionaries: typeof dictionariesReducer;
    permissions: typeof permissionsReducer;
    root: typeof rootReducer;
    user: (state: {}, action: AnyAction) => {};
    layout: (state: ILayoutEntity, action: AnyAction) => ILayoutEntity;
    stack: typeof stackReducer;
    notification: typeof notificationReducer;
};
