import { IBlobEntity } from '../definitions.interface';
/**
 * @stable [28.06.2018]
 * @param {string[]} ids
 * @returns {Promise<IBlobEntity[]>}
 */
export declare const toBlobEntities: (...ids: string[]) => Promise<IBlobEntity[]>;
/**
 * @stable [28.06.2018]
 * @param {string} url
 * @param {string} fileName
 * @param {RequestInit} options
 */
export declare const downloadBlob: (url: string, fileName: string, options?: RequestInit) => void;
