import { MaterialPlugin } from './material.plugin';
import { INativeMaterialSnackbarComponent } from '../material.interface';
import { Snackbar, ISnackbarProps } from '../../snackbar';
export declare class SnackbarMaterialPlugin extends MaterialPlugin<Snackbar, INativeMaterialSnackbarComponent> {
    private static DEFAULT_DELAY_BEFORE_SHOW;
    private task;
    /**
     * @stable [22.08.2018]
     * @param {Snackbar} tabPanel
     */
    constructor(tabPanel: Snackbar);
    /**
     * @stable [22.08.2018]
     * @param {Readonly<ISnackbarProps>} prevProps
     * @param {{}} nextContext
     */
    componentDidUpdate(prevProps: Readonly<ISnackbarProps>, nextContext: {}): void;
    /**
     * @stable [22.08.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [22.08.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [22.08.2018]
     * @param {ISnackbarConfiguration} options
     */
    private show;
    /**
     * @stable [22.08.2018]
     */
    private refresh;
}
