"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var root_interface_1 = require("./root.interface");
var root_action_builder_1 = require("./root-action.builder");
function rootReducer(state, action) {
    if (state === void 0) { state = root_interface_1.INITIAL_APPLICATION_ROOT_STATE; }
    switch (action.type) {
        case root_action_builder_1.RootActionBuilder.buildPathUpdateActionType():
            return __assign({}, state, { path: action.data.path });
    }
    return state;
}
exports.rootReducer = rootReducer;
//# sourceMappingURL=root.reducer.js.map