import { IEffectsAction } from 'redux-effects-promise';
export declare class TabPanelActionBuilder {
    /**
     * @stable [30.08.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildActivateActionType(section: string): string;
    /**
     * @stable [30.08.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildDestroyActionType(section: string): string;
    /**
     * @stable [30.08.2018]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyAction(section: string): IEffectsAction;
}
